{% extends "layout.html"%}
{% from "form-macro.html" import form_macro %}

{% block title %}AI Graded{% endblock %}

{% block body %}

<table>

    <tr>
        <th>Assignment</th>
        <th>Feedback status</th>
        <th>Actions</th>
    </tr>

    {% for ai_grade in ai_graded %}

    <tr>
        <td><a href="/ai/gradings/{{ai_grade.id}}">{{ai_grade.attempt.node_name}}</a></td>
        <td>{{ai_grade.attempt.status}}</td>
        <td>
            <form action="/ai/gradings" method="post">
                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}">
                <input type="hidden" name="attempt_id" value="{{ai_grade.attempt_id}}">
                <input type="submit" value="Run again">
            </form>
        </td>
    </tr>

    {% endfor %}

</table>

{% endblock %}